## FolksUrlFieldDetails

FolksUrlFieldDetails — Object representing a URL that can have some parameters associated with it.

## Types and Values

#define | FOLKS_TYPE_URL_FIELD_DETAILS
#define | FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_HOME_PAGE
#define | FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_BLOG
#define | FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_PROFILE
#define | FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_FTP
struct | FolksUrlFieldDetails
struct | FolksUrlFieldDetailsClass
| FolksUrlDetails
struct | FolksUrlDetailsIface

## Description

See FolksAbstractFieldDetails for details on common parameter names and values.

## Functions

## Types and Values

### FOLKS_TYPE_URL_FIELD_DETAILS

    #define FOLKS_TYPE_URL_FIELD_DETAILS (folks_url_field_details_get_type ())

The type for FolksUrlFieldDetails.

### FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_HOME_PAGE

    #define FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_HOME_PAGE "x-home-page"

Parameter value for URLs for the contact's home page.

Value for a parameter with name `FOLKS_ABSTRACT_FIELD_DETAILS_PARAM_TYPE`.

Since: 0.6.3

### FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_BLOG

    #define FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_BLOG "x-blog"

Parameter value for URLs for the contact's personal or professional blog.

Value for a parameter with name `FOLKS_ABSTRACT_FIELD_DETAILS_PARAM_TYPE`.

Since: 0.6.3

### FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_PROFILE

    #define FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_PROFILE "x-profile"

Parameter value for URLs for the contact's social networking profile.

Value for a parameter with name `FOLKS_ABSTRACT_FIELD_DETAILS_PARAM_TYPE`.

Since: 0.6.3

### FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_FTP

    #define FOLKS_URL_FIELD_DETAILS_PARAM_TYPE_FTP "x-ftp"

Parameter value for URLs for the contact's personal or professional FTP server.

Value for a parameter with name `FOLKS_ABSTRACT_FIELD_DETAILS_PARAM_TYPE`.

Since: 0.6.3

### struct FolksUrlFieldDetails

    struct FolksUrlFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksUrlFieldDetailsPrivate * priv;
    };

Object representing a URL that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksUrlFieldDetailsClass

    struct FolksUrlFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_URL_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksUrlDetails

    typedef struct _FolksUrlDetails FolksUrlDetails;

Associates a list of URLs with a contact.

Since: 0.3.5

### struct FolksUrlDetailsIface

    struct FolksUrlDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_urls) (FolksUrlDetails* self, GeeSet* urls, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_urls_finish) (FolksUrlDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_urls) (FolksUrlDetails* self);
    	void (*set_urls) (FolksUrlDetails* self, GeeSet* value);
    };

Interface for creating FolksUrlDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_urls` () | virtual method called by ``folks_url_details_change_urls()`` |
`change_urls_finish` () | asynchronous finish function for `change_urls`, called by ``folks_url_details_change_urls()`` |
`get_urls` () | getter method for the abstract property "urls" |
`set_urls` () | setter method for the abstract property "urls" |